package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.BalancePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.BalanceDO;

import javax.servlet.http.HttpServletResponse;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 长者余额 Service 接口
 *
 * @author 管理员
 */
public interface BalanceService {


    PageResult<BalanceDO> getBalancePage(BalancePageReqVO pageReqVO);

    void rechargeBalance(BalanceDO createReqVO);

    BalanceDO getBalance(Long elderId);

    void createBalance(Long id);

    void refund(BalanceDO updateReqVO);

    List<Map<String, BigDecimal>> test();

    BalanceDO getBalanceAmountByElderId(Long elderId);
}